package com.yanzhu.jh.trouble.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 随手拍流程信息对象 smz_ssp_auditinfo
 * 
 * @author JiangYuQi
 * @date 2023-08-07
 */
public class SmzSspAuditinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 问题整改质量留痕id */
    @Excel(name = "问题整改质量留痕id")
    private Long mainId;

    /** 流程状态(0待审，1通过，2驳回) */
    @Excel(name = "流程状态(0待审，1通过，2驳回)")
    private String processState;

    /** 意见 */
    @Excel(name = "意见")
    private String opinion;

    /** 删除状态(0未删除，1已删除) */
    @Excel(name = "删除状态(0未删除，1已删除)")
    private Long isDel;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;
    private String createUserName;
    private String process;
    private String fileUrls;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMainId(Long mainId) 
    {
        this.mainId = mainId;
    }

    public Long getMainId() 
    {
        return mainId;
    }
    public void setProcessState(String processState) 
    {
        this.processState = processState;
    }

    public String getProcessState() 
    {
        return processState;
    }
    public void setOpinion(String opinion) 
    {
        this.opinion = opinion;
    }

    public String getOpinion() 
    {
        return opinion;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }
    public void setCreateUser(String createUser) 
    {
        this.createUser = createUser;
    }

    public String getCreateUser() 
    {
        return createUser;
    }

    public String getFileUrls() {
        return fileUrls;
    }

    public void setFileUrls(String fileUrls) {
        this.fileUrls = fileUrls;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getProcess() {
        return process;
    }

    public void setProcess(String process) {
        this.process = process;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("mainId", getMainId())
            .append("processState", getProcessState())
            .append("opinion", getOpinion())
            .append("isDel", getIsDel())
            .append("createUser", getCreateUser())
            .append("createTime", getCreateTime())
            .toString();
    }
}
